LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-15-2004, 07:41 PM   #1
kamowa
Member
 
Registered: Sep 2004
Location: Eau Claire, WI
Distribution: Fedora Core 12
Posts: 91

Rep: Reputation: 15
Question VLC on FC2


I cant install VLC. I downloaded all the packages needed.

here is the message it spits out:

[alex@localhost untitled folder]$ rpm -U *.rpm --force
warning: a52dec-0.7.4-6.1.fc2.fr.i386.rpm: V3 DSA signature: NOKEY, key ID e42d5 47b
error: Failed dependencies:
fribidi is needed by vlc-0.7.2-1
libfribidi.so.0 is needed by vlc-0.7.2-1
libdv.so.4 is needed by (installed) gstreamer-plugins-0.8.1-1

I installed fribidi the first time I tried to install VLC. what else do I have to do??
I dont get it. I was able to install VLC on RH9

Last edited by kamowa; 11-15-2004 at 07:45 PM.
 
Old 11-15-2004, 08:16 PM   #2
perfect_circle
Senior Member
 
Registered: Oct 2004
Location: Athens, Greece
Distribution: Slackware, arch
Posts: 1,783

Rep: Reputation: 53
strange!!!
same system, i installed same vlc version.
I just installed fribidi-0.10.4-5.1.i386.rpm
and fribidi-devel-0.10.4-5.1.i386.rpm
and everything went fine.

libdv is in your fedora core cd 1

you may download it from here http://www.maxtux.co.uk/dist/redhat/...102-1.i386.rpm
it's only 72 kb.

do rpm -qa |grep fribidi
to see if you fribidi rpms are installed
 
Old 11-15-2004, 09:51 PM   #3
kamowa
Member
 
Registered: Sep 2004
Location: Eau Claire, WI
Distribution: Fedora Core 12
Posts: 91

Original Poster
Rep: Reputation: 15
arg.

ok so installed fribidi-0.10.4-5.1.i386.rpm and fribidi-devel-0.10.4-5.1.i386.rpm. and then I installed gstreamer-plugins-0.8.1-1 and I know that lib.so.4 is on my system. L just found it in the usr folder

here is what I get now.



[root@localhost untitled folder]# rpm -U *.rpm --force
warning: a52dec-0.7.4-6.1.fc2.fr.i386.rpm: V3 DSA signature: NOKEY, key ID e42d547b
error: Failed dependencies:
libdv.so.4 is needed by (installed) gstreamer-plugins-0.8.1-1
 
Old 11-16-2004, 05:16 AM   #4
perfect_circle
Senior Member
 
Registered: Oct 2004
Location: Athens, Greece
Distribution: Slackware, arch
Posts: 1,783

Rep: Reputation: 53
do you mean libdv is in /usr/lib?

I've got /usr/lib/libdv.so.0.0.4
and /usr/lib/libdv.so.4
and some docs in /usr/share/doc

try rpm -qa |grep libdv-0.102-1
does the rpm database see the package installed?

Can u live without installing gstreamer-plugins?
 
Old 11-16-2004, 05:38 AM   #5
perfect_circle
Senior Member
 
Registered: Oct 2004
Location: Athens, Greece
Distribution: Slackware, arch
Posts: 1,783

Rep: Reputation: 53
I have gstreamer and gstreamer-plugins.
They also are in FC2 CD's, since i don't remember installing those things.
 
Old 11-16-2004, 10:14 AM   #6
kamowa
Member
 
Registered: Sep 2004
Location: Eau Claire, WI
Distribution: Fedora Core 12
Posts: 91

Original Poster
Rep: Reputation: 15
Quote:
do you mean libdv is in /usr/lib?
uh yea thats what I meant.

I'll try to just install gstreamer.
 
Old 11-16-2004, 06:50 PM   #7
kamowa
Member
 
Registered: Sep 2004
Location: Eau Claire, WI
Distribution: Fedora Core 12
Posts: 91

Original Poster
Rep: Reputation: 15
OK, I installed both gstreamer and gstreamer-plugins.

and I still get the same output:

[root@localhost untitled folder]# rpm -U *.rpm --force
warning: a52dec-0.7.4-6.1.fc2.fr.i386.rpm: V3 DSA signature: NOKEY, key ID e42d547b
error: Failed dependencies:
libdv.so.4 is needed by (installed) gstreamer-plugins-0.8.1-1



I'm thinking of just giving up.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Help with VLC canti Linux - Software 2 12-09-2005 03:40 PM
vlc atlaika SUSE / openSUSE 9 12-02-2005 01:35 PM
vlc matrixon Linux - Software 12 04-27-2005 10:36 AM
where can I get VLC from ? overproof Mandriva 2 04-04-2005 04:21 PM
vlc punkers Linux - Software 0 09-28-2003 06:43 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:53 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration